/*****************************************************************

 top.sv module

******************************************************************

 My Company Confidential Copyright  2012 

******************************************************************

 created on:    1/10/2012 
 created by:    author
 last edit on:  $DateTime: $ 
 last edit by:  $Author: $
 revision:      $Revision: $
 comments:      Generated

******************************************************************
 //Project// (//Number//)

 This module tests the myfpga.sv module.

******************************************************************/
`include "../../../myfpga.sv"
`include "test_myfpga.sv"
`timescale        1ns/1ps

module top;  // top-level netlist to connect testbench to dut
  
timeunit 1ns; timeprecision 1ps;

// *** Input to UUT ***
logic           fpga_clk100_n;
logic           fpga_clk100_p;
logic           fpga_board_rstn;
logic   [3:0]   fpga_data_in;

// *** Inouts to UUT ***

// *** Outputs from UUT ***
logic   [3:0]   fpga_data_out;


// *** Instantiate the myfpga module ***
myfpga        uut         (.fpga_clk100_p (fpga_clk100_p),
                           .fpga_clk100_n (fpga_clk100_n),
                           .fpga_board_rstn (fpga_board_rstn),
                           .fpga_data_in (fpga_data_in),

                           .fpga_data_out (fpga_data_out));


// ** Instantiate the Test module **
test_myfpga   test        (.fpga_clk100_p (fpga_clk100_p),
                           .fpga_clk100_n (fpga_clk100_n),
                           .fpga_data_out (fpga_data_out),

                           .fpga_board_rstn (fpga_board_rstn),
                           .fpga_data_in (fpga_data_in));



// clk generators
initial begin
  fpga_clk100_p <= 1'b1;
end

// Generate clock:
always #5 fpga_clk100_p <= ~fpga_clk100_p;
assign fpga_clk100_n = ~fpga_clk100_p;


endmodule : top




