#!/bin/sh

#******************************************************************
#
# lib.sh module
#
#******************************************************************
#
# My Company Confidential Copyright  2012
#
#******************************************************************
#
# created on:    01/10/2012 
# created by:    author
# last edit on:  $DateTime: 2012/01/10 15:51:09 $ 
# last edit by:  $Author: author $
# revision:      $Revision: #1 $
# comments:      Generated
#
#******************************************************************
# Revision List:
#
#		1.0	01/10/2012	Initial release
# 
#	Please report bugs, errors, etc.
#******************************************************************
# Check If Lib Log File Exists Module
#
#  This utility is intended to check if lib.log exists before compiling
#  the simulation files. If the log command is used with vsimsa.exe, then
#  multiple executions of "make lib" will result in concatenated log
#  files. In order to have a lib.log file with only the current results
#  of compilation, this script must be run to move the lib.log file to 
#  a dated log file. 
#  
#******************************************************************

echo "entering: lib.sh"

if [ -f ../log/lib.log ] 
then 
        echo "lib.log exists"
        LIBFILE=lib_`date +%G%m%d_%I%M%p`
        mv -f ../log/lib.log ../log/$LIBFILE.log 
else
        echo "lib.log does not exist"
fi

