/*****************************************************************

 out_buf.sv module

******************************************************************

 My Company Confidential Copyright  2012

******************************************************************

 created on:	01/10/2012 
 created by:	author
 last edit on:	$DateTime: 2011/12/12 11:08:49 $
 last edit by:	$Author: author $
 revision:      $Revision: #5 $
 comments:      Generated.

******************************************************************
 <Design Name>

 This module implements the output buffers for the Data Path 
 FPGA on the <my> board. 

******************************************************************/
`timescale 1ns/1ps

module	out_buf	       (// *** Inputs ***
                        // ** System Outputs **
                        input	logic   [3:0]   data_out,

                        // *** Outputs ***
                        // ** System Outputs **
                        output	logic   [3:0]   fpga_data_out 

                       );

// *** Local Variable Declarations ***
// Local Parameter Declarations:
// N/A
// Local Logic Declarations:
// N/A

// ** System Outputs **
OBUF    _data_out0		(.I(data_out[0]),     .O(fpga_data_out[0]));
OBUF    _data_out1		(.I(data_out[1]),     .O(fpga_data_out[1]));
OBUF    _data_out2		(.I(data_out[2]),     .O(fpga_data_out[2]));
OBUF    _data_out3		(.I(data_out[3]),     .O(fpga_data_out[3]));

endmodule : out_buf

/*

// *** Instantiate the out_buf module ***
out_buf        _out_buf        (.data_out (data_out),

                                .fpga_data_out (fpga_data_out));

*/
